Skip to main content
`Ctrl`+`K`

# SVDMonitorConditioning

Print the condition number at each iteration of the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorConditioning(SVD svd,PetscInt its,PetscInt nconv,PetscReal sigma[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- svd - the singular value solver context

- its - iteration number

- nconv - (unused) number of converged singular triplets so far

- sigma - (unused) singular values

- errest - (unused) error estimates

- nest - (unused) number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -svd_monitor_conditioning - activates `SVDMonitorConditioning()`

## Notes

This is not called directly by users, rather one calls `SVDMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SVD` solve.

Works only for solvers that use a `DS` of type `DSGSVD`. The printed information corresponds to the maximum of the condition number of the two generated bidiagonal matrices.

## See Also

SVD: Singular Value Decomposition, `SVDMonitorSet()`, `SVDMonitorAll()`, `SVDMonitorFirst()`, `SVDMonitorConverged()`

## Level

intermediate

## Location

src/svd/interface/svdmon.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages